require "bundler/setup"
require "minitest/autorun"

class ParallelTest < Minitest::Test
  parallelize_me!

  def test_foo
    puts "foo"
  end

  def test_bar
    puts "bar"
  end

  def test_baz
    puts "baz"
    flunk "The 'baz' plugin is not currently installed"
  end

  def test_box
    puts "box"
    raise ArgumentError, "This was unexpected"
  end

  def test_zap
    puts "zap"
    skip "Zap is not implemented yet"
  end
end
